tigase.jaxmpp.gwt.client.dns

## Class DnsEntry

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - tigase.jaxmpp.gwt.client.dns.DnsEntry

-     public class DnsEntry
      extends com.google.gwt.core.client.JavaScriptObject

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DnsEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `com.google.gwt.core.client.JsArrayString` | `getIps()`
    `int` | `getPort()`
    `String` | `getUrl()`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DnsEntry

          protected DnsEntry()

  - ### Method Detail

    - #### getHost

          public final String getHost()

    - #### getIps

          public final com.google.gwt.core.client.JsArrayString getIps()

    - #### getPort

          public final int getPort()

    - #### getUrl

          public final String getUrl()

Copyright © 2006–2020 Tigase. All rights reserved.